Bug 110395 - ATI, Logitec and Microsoft Inport BUS Mouse drivers don't work
ATI, Logitec and Microsoft Inport BUS Mouse drivers don't work
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-11-18 19:34 EST by David A. Smith
Modified: 2007-04-18 12:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-01-04 23:11:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David A. Smith 2003-11-18 19:34:43 EST
Description of problem:

When using an old style ATI, Logitec or Microsoft Inport BUS Mouse
with an Intel base PC, the precompiled moduler busmouse drivers will
load on boot up but will not fuction correctly with neither XFree86
directly or through gpm.

Version-Release number of selected component (if applicable):
kernel-2.4.20-20.8, kernel-source-2.4.20-20.8, kernel-utils-2.4-8.13,
gcc-3.2-7, glib-1.2.10-8, glib2-2.0.6-2, glibc-2.3.2-4.80.8,
glibc-common-2.3.2-4.80.8, gpm-1.19.3-23, gpm-devel-1.19.3-23,
libcap-1.10-12, glibc-kernheaders-2.4-7.20, libelf-0.8.2-2,
libgcc-3.2-7, libstdc++-3.2-7, MAKEDEV-3.3.1-2, make-3.79.1-14,
mkinitrd-3.4.28-1, modutils-2.4.18-2, mouseconfig-4.26-1,
ncurses4-5.0-9, ncurses-5.2-28, redhat-config-mouse-1.0.1-2,
redhat-release-8.0-8, setup-2.5.20-1, XFree86-4.2.1-21,
XFree86-libs-4.2.1-21, XFree86-Mesa-4.2.1-21,
XFree86-Mesa-libGL-4.2.1-21, XFree86-xauth-4.2.1-21,
XFree86-xfs-4.2.1-21 and all current updates up to 11/17/03 not in
this list.

How reproducible:

Install RedHat Linux 8.0 and previous RedHad Linux versions to 7.1 on
an Intel base PC equip with either an ATI Inport busmouse port,
Logitec Inport busmouse 8-bit ISA card or a Microsoft Inport busmouse
8-bit ISA card with default configuration. Use the GUI install and the
busmouse probe process will fail. Then try the text base install and
the busmouse probe will fail as well. When RedHat Linux is finally
installed, with the gpm program not running, run the text base setup
utility and select mouse to be configure. Select the correct bus mouse
type and save that setting and have the setup utility automatically
configure XFree86 to use the selected mouse. While in the setup
utility, configure XFree86 for the right video graphics card and
monitor type. Then exit out of the setup utility by selecting OK. Run
startx to start XFree86 and XFree86 will run but the mouse graphics
cursor will not move nor respond to any mouse button activation.

Now exit out of XFree86 by pressing <CTRL><ALT> and <Backspace> keys
all at once to get back to the text prompt and type cat /dev/mouse or
what ever busmouse device file that corresponds to the hardware Inport
busmouse device that is installed in the PC you are currently using.
When you move the mouse around, the text cursor on the screen will
jump around on the screen, which means mouse data is being read from
the busmouse inport interface but it maybe corrupt.

Steps to Reproduce:
1.Do the above.
Actual results:

The blinking text cursor jumps when running cat /dev/mouse but will
not make the cursor move within XFree86 or when the gpm program is run
in text mode prompt.

Expected results:

The busmouse should make the mouse cursor move within XFree86 and move
the text cursor in text mode when the gpm program is running.

Additional info:

I have an ATI Graphics Pro Turbo PCI Mach64 video installed in my PC
if that makes a difference. Also, I have RedHat Linux 5.1 installed on
the same computer and the busmouse works fine with gpm and XFree86.
Comment 1 Dave Jones 2004-01-04 23:11:33 EST
RHL 8 = End of life since Jan 1st - Wontfix.

Note You need to log in before you can comment on or make changes to this bug.